/
/ char *copy(out, in, nbytes)
/ Returns just past the end of the output.
/

	.globl	copy

copy:	jsr	r0,__csav	/ Linkage.

	mov	12(r5),r0	/ r0 = out
	mov	14(r5),r1	/ r1 = in
	mov	16(r5),r2	/ r2 = nbytes

0:	dec	r2		/ Done ?
	bmi	0f		/ Br if yes.
	movb	(r1)+,(r0)+	/ Move a byte and ...
	br	0b		/ Go back for more.

0:	jmp	__cret		/ Done.
